using System;

namespace PkmnLibSharp.Library
{
    public class StatisticSet<T> where T : IComparable<T>
    {
        public T HP { get; set; }
        public T Attack { get; set; }
        public T Defense { get; set; }
        public T SpecialAttack { get; set; }
        public T SpecialDefense { get; set; }
        public T Speed { get; set; }
        
        public StatisticSet(T hp, T attack, T defense, T specialAttack, T specialDefense, T speed)
        {
            HP = hp;
            Attack = attack;
            Defense = defense;
            SpecialAttack = specialAttack;
            SpecialDefense = specialDefense;
            Speed = speed;
        }
    }
}